regina::PlugTriSolidTorus Class Reference
Standard Triangulations and Subcomplexes

Represents a plugged triangular solid torus component of a triangulation. More...

`#include <subcomplex/plugtrisolidtorus.h>`

Inheritance diagram for regina::PlugTriSolidTorus:

## Public Member Functions

virtual | ~PlugTriSolidTorus ()
| Destroys this plugged solid torus; note that the corresponding triangular solid torus and layered chains will also be destroyed. More...
PlugTriSolidTorus * | clone () const
| Returns a newly created clone of this structure. More...
const TriSolidTorus & | core () const
| Returns the triangular solid torus at the core of this triangulation. More...
const LayeredChain * | chain (int annulus) const
| Returns the layered chain attached to the requested annulus on the boundary of the core triangular solid torus. More...
int | chainType (int annulus) const
| Returns the way in which a layered chain is attached to the requested annulus on the boundary of the core triangular solid torus. More...
int | equatorType () const
| Returns which types of edges form the equator of the plug. More...
Manifold * | manifold () const
| Returns the 3-manifold represented by this triangulation, if such a recognition routine has been implemented. More...
std::ostream & | writeName (std::ostream &out) const
| Writes the name of this triangulation as a human-readable string to the given output stream. More...
std::ostream & | writeTeXName (std::ostream &out) const
| Writes the name of this triangulation in TeX format to the given output stream. More...
void | writeTextLong (std::ostream &out) const
| Writes a detailed text representation of this object to the given output stream. More...
std::string | name () const
| Returns the name of this specific triangulation as a human-readable string. More...
std::string | TeXName () const
| Returns the name of this specific triangulation in TeX format. More...
virtual AbelianGroup * | homology () const
| Returns the expected first homology group of this triangulation, if such a routine has been implemented. More...
AbelianGroup * | homologyH1 () const
| Returns the expected first homology group of this triangulation, if such a routine has been implemented. More...
virtual void | writeTextShort (std::ostream &out) const
| Writes a short text representation of this object to the given output stream. More...
std::string | str () const
| Returns a short text representation of this object. More...
std::string | utf8 () const
| Returns a short text representation of this object using unicode characters. More...
std::string | detail () const
| Returns a detailed text representation of this object. More...

## Static Public Member Functions

static PlugTriSolidTorus * | isPlugTriSolidTorus (Component< 3 > *comp)
| Determines if the given triangulation component is a plugged triangular solid torus. More...
static StandardTriangulation * | isStandardTriangulation (Component< 3 > *component)
| Determines whether the given component represents one of the standard triangulations understood by Regina. More...
static StandardTriangulation * | isStandardTriangulation (Triangulation< 3 > *tri)
| Determines whether the given triangulation represents one of the standard triangulations understood by Regina. More...

## Static Public Attributes

static const int | CHAIN_NONE
| Indicates an annulus on the triangular solid torus boundary with no attached layered chain. More...
static const int | CHAIN_MAJOR
| Indicates an annulus on the triangular solid torus boundary with an attached layered chain layered over the major edge of the annulus. More...
static const int | CHAIN_MINOR
| Indicates an annulus on the triangular solid torus boundary with an attached layered chain layered over the minor edge of the annulus. More...
static const int | EQUATOR_MAJOR
| Indicates that, if no layered chains were present, the equator of the plug would consist of major edges of the core triangular solid torus. More...
static const int | EQUATOR_MINOR
| Indicates that, if no layered chains were present, the equator of the plug would consist of minor edges of the core triangular solid torus. More...

## Detailed Description

Represents a plugged triangular solid torus component of a triangulation.

Such a component is obtained as follows.

Begin with a three-tetrahedron triangular solid torus (as described by class TriSolidTorus). Observe that the three axis edges divide the boundary into three annuli.

To each of these annuli a layered chain may be optionally attached. If present, the chain should be attached so its hinge edges are identified with the axis edges of the corresonding annulus and its bottom tetrahedron is layered over either the major edge or minor edge of the corresponding annulus. The top two triangular faces of the layered chain should remain free.

Thus we now have three annuli on the boundary, each represented as a square two of whose (opposite) edges are axis edges of the original triangular solid torus (and possibly also hinge edges of a layered chain).

Create a plug by gluing two tetrahedra together along a single triangle. The six edges that do not run along this common triangle split the plug boundary into three squares. These three squares must be glued to the three boundary annuli previously described. Each axis edge meets two of the annuli; the two corresponding edges of the plug must be non-adjacent (have no common vertex) on the plug. In this way each of the six edges of the plug not running along its interior triangle corresponds to precisely one of the two instances of precisely one of the three axis edges.

If the axis edges are directed so that they all point the same way around the triangular solid torus, these axis edges when drawn on the plug must all point from one common tip of the plug to the other (where the tips of the plug are the vertices not meeting the interior triangle). The gluings must also be made so that the resulting triangulation component is orientable.

Of the optional StandardTriangulation routines, manifold() is implemented for most plugged triangular solid tori and homology() is not implemented at all.

## Member Function Documentation

## detail()

std::string regina::Output< StandardTriangulation , false >::detail | ( |  | ) | const

inherited

Returns a detailed text representation of this object.

This text may span many lines, and should provide the user with all the information they could want. It should be human-readable, should not contain extremely long lines (which cause problems for users reading the output in a terminal), and should end with a final newline. There are no restrictions on the underlying character set.

Returns
  a detailed text representation of this object.

## str()

std::string regina::Output< StandardTriangulation , false >::str | ( |  | ) | const

inherited

Returns a short text representation of this object.

This text should be human-readable, should fit on a single line, and should not end with a newline. Where possible, it should use plain ASCII characters.

Python:\n In addition to str(), this is also used as the
  Python "stringification" function `__str__()`.

Returns
  a short text representation of this object.

## utf8()

std::string regina::Output< StandardTriangulation , false >::utf8 | ( |  | ) | const

inherited

Returns a short text representation of this object using unicode characters.

Like str(), this text should be human-readable, should fit on a single line, and should not end with a newline. In addition, it may use unicode characters to make the output more pleasant to read. This string will be encoded in UTF-8.

Returns
  a short text representation of this object.

The documentation for this class was generated from the following file:

- subcomplex/plugtrisolidtorus.h

Copyright © 1999-2016, The Regina development team
This software is released under the GNU General Public License, with some additional permissions; see the source code for details.
For further information, or to submit a bug or other problem, please contact Ben Burton (bab@maths.uq.edu.au).